aiohappyeyeballs==2.6.1 ; python_version >= "3.11" and python_version < "3.15"
aiohttp==3.13.3 ; python_version >= "3.11" and python_version < "3.15"
aiosignal==1.4.0 ; python_version >= "3.11" and python_version < "3.15"
altair==6.0.0 ; python_version >= "3.11" and python_version < "3.15"
annotated-types==0.7.0 ; python_version >= "3.11" and python_version < "3.15"
anyio==4.12.1 ; python_version >= "3.11" and python_version < "3.15"
attrs==25.4.0 ; python_version >= "3.11" and python_version < "3.15"
blinker==1.9.0 ; python_version >= "3.11" and python_version < "3.15"
cachetools==6.2.6 ; python_version >= "3.11" and python_version < "3.15"
certifi==2026.1.4 ; python_version >= "3.11" and python_version < "3.15"
cffi==2.0.0 ; python_version >= "3.11" and python_version < "3.15" and platform_python_implementation != "PyPy"
charset-normalizer==3.4.4 ; python_version >= "3.11" and python_version < "3.15"
click==8.3.1 ; python_version >= "3.11" and python_version < "3.15"
colorama==0.4.6 ; python_version >= "3.11" and python_version < "3.15" and platform_system == "Windows"
cryptography==46.0.4 ; python_version >= "3.11" and python_version < "3.15"
cuda-bindings==12.9.4 ; python_version >= "3.11" and python_version < "3.15" and platform_machine == "x86_64" and platform_system == "Linux"
cuda-pathfinder==1.3.3 ; python_version >= "3.11" and python_version < "3.15" and platform_machine == "x86_64" and platform_system == "Linux"
dataclasses-json==0.6.7 ; python_version >= "3.11" and python_version < "3.15"
faiss-cpu==1.13.2 ; python_version >= "3.11" and python_version < "3.15"
filelock==3.20.3 ; python_version >= "3.11" and python_version < "3.15"
frozenlist==1.8.0 ; python_version >= "3.11" and python_version < "3.15"
fsspec==2026.1.0 ; python_version >= "3.11" and python_version < "3.15"
gitdb==4.0.12 ; python_version >= "3.11" and python_version < "3.15"
gitpython==3.1.46 ; python_version >= "3.11" and python_version < "3.15"
greenlet==3.3.1 ; python_version >= "3.11" and python_version < "3.15" and (platform_machine == "aarch64" or platform_machine == "ppc64le" or platform_machine == "x86_64" or platform_machine == "amd64" or platform_machine == "AMD64" or platform_machine == "win32" or platform_machine == "WIN32")
h11==0.16.0 ; python_version >= "3.11" and python_version < "3.15"
hf-xet==1.2.0 ; python_version >= "3.11" and python_version < "3.15" and (platform_machine == "x86_64" or platform_machine == "amd64" or platform_machine == "AMD64" or platform_machine == "arm64" or platform_machine == "aarch64")
httpcore==1.0.9 ; python_version >= "3.11" and python_version < "3.15"
httpx-sse==0.4.3 ; python_version >= "3.11" and python_version < "3.15"
httpx==0.28.1 ; python_version >= "3.11" and python_version < "3.15"
huggingface-hub==1.3.5 ; python_version >= "3.11" and python_version < "3.15"
idna==3.11 ; python_version >= "3.11" and python_version < "3.15"
jinja2==3.1.6 ; python_version >= "3.11" and python_version < "3.15"
joblib==1.5.3 ; python_version >= "3.11" and python_version < "3.15"
jsonpatch==1.33 ; python_version >= "3.11" and python_version < "3.15"
jsonpointer==3.0.0 ; python_version >= "3.11" and python_version < "3.15"
jsonschema-specifications==2025.9.1 ; python_version >= "3.11" and python_version < "3.15"
jsonschema==4.26.0 ; python_version >= "3.11" and python_version < "3.15"
langchain-classic==1.0.0 ; python_version >= "3.11" and python_version < "3.15"
langchain-community==0.4.1 ; python_version >= "3.11" and python_version < "3.15"
langchain-core==1.1.3 ; python_version >= "3.11" and python_version < "3.15"
langchain-ollama==1.0.1 ; python_version >= "3.11" and python_version < "3.15"
langchain-text-splitters==1.0.0 ; python_version >= "3.11" and python_version < "3.15"
langchain==1.1.3 ; python_version >= "3.11" and python_version < "3.15"
langgraph-checkpoint==3.0.1 ; python_version >= "3.11" and python_version < "3.15"
langgraph-prebuilt==1.0.7 ; python_version >= "3.11" and python_version < "3.15"
langgraph-sdk==0.3.3 ; python_version >= "3.11" and python_version < "3.15"
langgraph==1.0.7 ; python_version >= "3.11" and python_version < "3.15"
langsmith==0.6.6 ; python_version >= "3.11" and python_version < "3.15"
markupsafe==3.0.3 ; python_version >= "3.11" and python_version < "3.15"
marshmallow==3.26.2 ; python_version >= "3.11" and python_version < "3.15"
mpmath==1.3.0 ; python_version >= "3.11" and python_version < "3.15"
multidict==6.7.1 ; python_version >= "3.11" and python_version < "3.15"
mypy-extensions==1.1.0 ; python_version >= "3.11" and python_version < "3.15"
narwhals==2.15.0 ; python_version >= "3.11" and python_version < "3.15"
networkx==3.6 ; python_version >= "3.13" and python_version < "3.15"
networkx==3.6.1 ; python_version >= "3.11" and python_version < "3.13"
numpy==2.4.1 ; python_version >= "3.11" and python_version < "3.15"
nvidia-cublas-cu12==12.8.4.1 ; python_version >= "3.11" and python_version < "3.15" and platform_machine == "x86_64" and platform_system == "Linux"
nvidia-cuda-cupti-cu12==12.8.90 ; python_version >= "3.11" and python_version < "3.15" and platform_machine == "x86_64" and platform_system == "Linux"
nvidia-cuda-nvrtc-cu12==12.8.93 ; python_version >= "3.11" and python_version < "3.15" and platform_machine == "x86_64" and platform_system == "Linux"
nvidia-cuda-runtime-cu12==12.8.90 ; python_version >= "3.11" and python_version < "3.15" and platform_machine == "x86_64" and platform_system == "Linux"
nvidia-cudnn-cu12==9.10.2.21 ; python_version >= "3.11" and python_version < "3.15" and platform_machine == "x86_64" and platform_system == "Linux"
nvidia-cufft-cu12==11.3.3.83 ; python_version >= "3.11" and python_version < "3.15" and platform_machine == "x86_64" and platform_system == "Linux"
nvidia-cufile-cu12==1.13.1.3 ; python_version >= "3.11" and python_version < "3.15" and platform_machine == "x86_64" and platform_system == "Linux"
nvidia-curand-cu12==10.3.9.90 ; python_version >= "3.11" and python_version < "3.15" and platform_machine == "x86_64" and platform_system == "Linux"
nvidia-cusolver-cu12==11.7.3.90 ; python_version >= "3.11" and python_version < "3.15" and platform_machine == "x86_64" and platform_system == "Linux"
nvidia-cusparse-cu12==12.5.8.93 ; python_version >= "3.11" and python_version < "3.15" and platform_machine == "x86_64" and platform_system == "Linux"
nvidia-cusparselt-cu12==0.7.1 ; python_version >= "3.11" and python_version < "3.15" and platform_machine == "x86_64" and platform_system == "Linux"
nvidia-nccl-cu12==2.27.5 ; python_version >= "3.11" and python_version < "3.15" and platform_machine == "x86_64" and platform_system == "Linux"
nvidia-nvjitlink-cu12==12.8.93 ; python_version >= "3.11" and python_version < "3.15" and platform_machine == "x86_64" and platform_system == "Linux"
nvidia-nvshmem-cu12==3.4.5 ; python_version >= "3.11" and python_version < "3.15" and platform_machine == "x86_64" and platform_system == "Linux"
nvidia-nvtx-cu12==12.8.90 ; python_version >= "3.11" and python_version < "3.15" and platform_machine == "x86_64" and platform_system == "Linux"
ollama==0.6.1 ; python_version >= "3.11" and python_version < "3.15"
orjson==3.11.6 ; python_version >= "3.11" and python_version < "3.15"
ormsgpack==1.12.2 ; python_version >= "3.11" and python_version < "3.15"
packaging==25.0 ; python_version >= "3.11" and python_version < "3.15"
pandas==2.3.3 ; python_version >= "3.11" and python_version < "3.15"
pdfminer-six==20251230 ; python_version >= "3.11" and python_version < "3.15"
pdfplumber==0.11.9 ; python_version >= "3.11" and python_version < "3.15"
pillow==12.1.0 ; python_version >= "3.11" and python_version < "3.15"
propcache==0.4.1 ; python_version >= "3.11" and python_version < "3.15"
protobuf==6.33.5 ; python_version >= "3.11" and python_version < "3.15"
pyarrow==23.0.0 ; python_version >= "3.11" and python_version < "3.15"
pycparser==3.0 ; python_version >= "3.11" and python_version < "3.15" and platform_python_implementation != "PyPy" and implementation_name != "PyPy"
pydantic-core==2.41.5 ; python_version >= "3.11" and python_version < "3.15"
pydantic-settings==2.12.0 ; python_version >= "3.11" and python_version < "3.15"
pydantic==2.12.5 ; python_version >= "3.11" and python_version < "3.15"
pydeck==0.9.1 ; python_version >= "3.11" and python_version < "3.15"
pypdf2==3.0.1 ; python_version >= "3.11" and python_version < "3.15"
pypdfium2==5.3.0 ; python_version >= "3.11" and python_version < "3.15"
python-dateutil==2.9.0.post0 ; python_version >= "3.11" and python_version < "3.15"
python-dotenv==1.2.1 ; python_version >= "3.11" and python_version < "3.15"
pytz==2025.2 ; python_version >= "3.11" and python_version < "3.15"
pyyaml==6.0.3 ; python_version >= "3.11" and python_version < "3.15"
referencing==0.37.0 ; python_version >= "3.11" and python_version < "3.15"
regex==2026.1.15 ; python_version >= "3.11" and python_version < "3.15"
requests-toolbelt==1.0.0 ; python_version >= "3.11" and python_version < "3.15"
requests==2.32.5 ; python_version >= "3.11" and python_version < "3.15"
rpds-py==0.30.0 ; python_version >= "3.11" and python_version < "3.15"
safetensors==0.7.0 ; python_version >= "3.11" and python_version < "3.15"
scikit-learn==1.8.0 ; python_version >= "3.11" and python_version < "3.15"
scipy==1.17.0 ; python_version >= "3.11" and python_version < "3.15"
sentence-transformers==5.2.2 ; python_version >= "3.11" and python_version < "3.15"
setuptools==80.10.2 ; python_version >= "3.12" and python_version < "3.15"
shellingham==1.5.4 ; python_version >= "3.11" and python_version < "3.15"
six==1.17.0 ; python_version >= "3.11" and python_version < "3.15"
smmap==5.0.2 ; python_version >= "3.11" and python_version < "3.15"
sqlalchemy==2.0.46 ; python_version >= "3.11" and python_version < "3.15"
streamlit==1.53.1 ; python_version >= "3.11" and python_version < "3.15"
sympy==1.14.0 ; python_version >= "3.11" and python_version < "3.15"
tenacity==9.1.2 ; python_version >= "3.11" and python_version < "3.15"
threadpoolctl==3.6.0 ; python_version >= "3.11" and python_version < "3.15"
tokenizers==0.22.2 ; python_version >= "3.11" and python_version < "3.15"
toml==0.10.2 ; python_version >= "3.11" and python_version < "3.15"
torch==2.10.0 ; python_version >= "3.11" and python_version < "3.15"
tornado==6.5.4 ; python_version >= "3.11" and python_version < "3.15"
tqdm==4.67.1 ; python_version >= "3.11" and python_version < "3.15"
transformers==5.0.0 ; python_version >= "3.11" and python_version < "3.15"
triton==3.6.0 ; python_version >= "3.11" and python_version < "3.15" and platform_machine == "x86_64" and platform_system == "Linux"
typer-slim==0.21.1 ; python_version >= "3.11" and python_version < "3.15"
typing-extensions==4.15.0 ; python_version >= "3.11" and python_version < "3.15"
typing-inspect==0.9.0 ; python_version >= "3.11" and python_version < "3.15"
typing-inspection==0.4.2 ; python_version >= "3.11" and python_version < "3.15"
tzdata==2025.3 ; python_version >= "3.11" and python_version < "3.15"
urllib3==2.6.3 ; python_version >= "3.11" and python_version < "3.15"
uuid-utils==0.14.0 ; python_version >= "3.11" and python_version < "3.15"
watchdog==6.0.0 ; python_version >= "3.11" and python_version < "3.15" and platform_system != "Darwin"
xxhash==3.6.0 ; python_version >= "3.11" and python_version < "3.15"
yarl==1.22.0 ; python_version >= "3.11" and python_version < "3.15"
zstandard==0.25.0 ; python_version >= "3.11" and python_version < "3.15"
torch>=2.0.0

